# 78. Requête : trouver « Champs » par « externalKey »

Trouvez les "Parcelles" grâce à la cléExterne du tiers incorporée lors de la procédure d'enregistrement de la "Parcelle".

### <mark style="color:orange;">OPTION 1</mark> en utilisant la requête getFields

{% code overflow="wrap" lineNumbers="true" %}

```graphql
requête FindFieldsByExternalKeyOption1 {
  getFields(filtre: {
    fieldExternalKey : "<identifiant_tiers>"
  }) {
    nombreTotal
    fields {
      uuid
      nom
      externalKey
    }
  }
}
```

{% endcode %}

### <mark style="color:orange;">OPTION 2</mark> en utilisant la requête getFarms

{% code overflow="wrap" lineNumbers="true" %}

```graphql
requête FingFieldsByExternalKeyOption2 {
  getFarms {
    fields(externalKeys: ["<identifiant_tiers>"]) {
      uuid
      nom
      externalKey
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/docs-api/vue-densemble-des-requetes-de-lapi-geopard/78.-requete-trouver-champs-par-externalkey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
